Bug 624958 - [spacewalk-repo-sync] - python exceptions during run
[spacewalk-repo-sync] - python exceptions during run
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
540
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Sherrill
Garik Khachikyan
:
Depends On:
Blocks: sat540-repo-sync
  Show dependency treegraph
 
Reported: 2010-08-18 05:00 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 11:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-08-18 05:00:01 EDT
Description of problem:
trying to sync a channel content through spacewalk-repo-sync goes on with tracebacks like:
---
local variable 'cid' referenced before assignment
-or-
Could not find object [<server.importlib.importLib.IncompletePackage instance; attributes={'package_size': None, 'package_arch_id': 119, 'name': 'perl-CGI', 'checksum_list': None, 'md5sum': None, 'org_id': '1', 'package_id': None, 'checksums': {'sha256': '234be13ae01a4e44cc7d61b947359f2f7fda911ff873a5eace50129edda1b462'}, 'channels': {101: 'rhel-x86_64-server-6-beta'}, 'nevra_id': 107, 'epoch': '', 'version': '3.49', 'name_id': 61, 'last_modified': None, 'checksum': '234be13ae01a4e44cc7d61b947359f2f7fda911ff873a5eace50129edda1b462', 'release': '115.el6', 'checksum_type': 'sha256', 'arch': 'x86_64', 'evr_id': 100, 'checksum_id': 5304}] in table rhnPackage
---

Version-Release number of selected component (if applicable):
Satellite-5.4.0-RHEL5-re20100817.1-x86_64.iso

How reproducible:
always on run of spacewalk-repo-sync

Steps to Reproduce:
1.make a custom channel
2.run: spacewalk-repo-sync --channel <channel_name> --url file://<your_mounted_point>/os --type yum
3.
  
Actual results:
in the console are continually tracing the errors above. 

Expected results:
no tracebacks, getting channel content into Satellite.

Additional info:
Comment 1 Garik Khachikyan 2010-08-18 05:00:43 EDT
taking priority up - as without having packages, no much sense on many functionalities to check.
Comment 2 Miroslav Suchý 2010-08-18 05:10:50 EDT
milan just said, that justin already fixed it yesterday
giving to justin
Comment 4 Garik Khachikyan 2010-08-18 05:33:06 EDT
the update to spacewalk-backend-1.2.6 fixed seems the issue there
looking forward to the next iso to see it there.
Comment 5 Garik Khachikyan 2010-08-20 06:01:38 EDT
confirm: the Satellite-5.4.0-RHEL5-re20100818.0-x86_64.iso fixes the problem.

@devel: please put the bug in a state making possible QE to verify it. thx.
Comment 6 Garik Khachikyan 2010-09-14 10:27:04 EDT
# VERIFIED

the current iso Satellite-5.4.0-RHEL5-re20100910.2 fixes the issue with traceback. Clean run of the spacewalk-repo-sync now. thx.
Comment 10 Clifford Perry 2010-10-28 10:56:34 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.